<?php 
include("h3.php");
if(!isset($_POST['flagadd']))
{
	$flagadd=$_GET['flagadd'];
}else{
	$flagadd=0;
}

if(!isset($_POST['flag_delete']))
{
	$flag_delete=$_GET['flag_delete'];
}else{
	$flag_delete=0;
}


if(!isset($_POST['NewsID']))
{
	$NewsID=$_GET['NewsID'];
}else{
	$NewsID=$_POST['NewsID'];
}

//echo "$flagadd,$NewsID";
    date_default_timezone_set('Asia/Bangkok');
	$date = date("Y/m/d");
	$date2 = date("d/m/Y");
	$dateDB = date("d-m-Y");	
//------START--DEL
if($flag_delete){
	include('conn.php');

      $subfileNewsID=$_GET['subfileNewsID'];
	  echo "<CENTER>Deleted OK</CENTER>";
	// เพิ่มไฟล์เข้าไปในตาราง uploadfile
		$sql_del="DELETE FROM sub_news_link WHERE sub_id_link=$subfileNewsID";
	    $dbquery = mysqli_query($con, $sql_del);

}
//------END --- DEL

//--start---flag add
if($flagadd){
	$title_link=$_POST['title_link'];
	$link_url=$_POST['link_url'];

     date_default_timezone_set('Asia/Bangkok');
	$date = date("Ymd");	
	// เพิ่มไฟล์เข้าไปในตาราง uploadfile
		$sql="INSERT INTO sub_news_link  (news_id,title_link,link_url)  VALUES ('$NewsID','$title_link','$link_url')";
		$dbquery = mysqli_query($con, $sql);
	echo "Add  link  Complete<BR>";
}
?>
<?php
//--end  flag add
//echo "add=$flagadd,delete=$flag_delete<BR>";
include('connectsmss.php');  //ไฟล์เชื่อมต่อกับ database ที่เราได้สร้างไว้ก่อนหน้า

$sqlm="SELECT * FROM news_master WHERE news_id=$NewsID";
$result = mysqli_query($con, $sqlm); 
$row = mysqli_fetch_array($result);
		$NewsID=$row["news_id"];
		$Title=$row["title"];
		$detail=$row["detail"];
		$Auther=$row["auther"];
		$AC_Status=$row["active_status"];

		if($AC_Status) $showtext="Show";
		else $showtext="Hidden";
?>
<center>
<br>
<?php
if($emp_name<>""&&$error<>1){
?>
<H2>รายการ link ในข่าว</H2>
<table width=90% class=Round4>
<tr bgcolor=#ccffff>
	<td align=center>ลำดับ</td><TD align=center>หัวข้อเรื่องของ link</TD><TD align=center width=20%>url</TD><TD align=center>Edit</TD>
</tr>

<?php
$sql2="SELECT * FROM sub_news_link WHERE news_id=$NewsID ORDER BY sub_id_link";
$result = mysqli_query($con, $sql2); 
$i=1;
while($row = mysqli_fetch_array($result)) { 	
		$subfileNewsID=$row["sub_id_link"];
		$title_link=$row["title_link"];
		$link_url=$row["link_url"];
?>
<tr>
	<td align=center><?php echo "$i";?></TD>
	<td>
	<?php 
	echo "$title_link";
	?></TD>
	<td><?php echo "<a href=\"$link_url\">[$link_url]</a>";?></TD>
	<td align=center>
	<?php
	echo "<a href=\"pre_add_media3.php?flag_delete=1&flagadd=0&NewsID=$NewsID&subfileNewsID=$subfileNewsID\">del</a>";
	?>
	</TD>
</TR>
<?php
		$i++;
}

?>
</table>
<br>
<table width=90% class=Round3>
<tr><td align=center>
<CENTER><H2>เพิ่ม media link  ใน POST  หัวข้อข่าวหลัก</H2></CENTER>
<table width=90% class=Round4>
<tr><td>หัวข้อข่าว</TD>
<td><?php  echo  "<strong>$Title</strong>";?>
</TD></TR>
<tr><td>รายละเอียด</TD>
<td>
<?php  
       echo  "$detail";
?>
</TD></TR>
</TABLE>
<br><HR width=60%>
<form action="pre_add_media3.php?flagadd=1&flag_delete=0" method="post" enctype="multipart/form-data" name="upfile" id="upfile">
<?php
  echo "<input type=\"hidden\" name=\"NewsID\" value=$NewsID>";
  ?>
  <table width="85%" class=Round3>
  <TR bgcolor=#00ccff>
  <TD align=RIGHT>name</TD>
  <TD><INPUT type="TEXT" size=80 name="title_link"></TD>
  </TR>
  <TR bgcolor=#00ccff>
  <TD align=RIGHT>link</TD>
  <TD><INPUT type="TEXT" size=90 name="link_url"></TD>
  </TR>
	
    <tr>
      <td bgcolor="#EDEDED">&nbsp;</td>
      <td bgcolor="#EDEDED"><input type="submit" name="button" id="button" value="Add link" /></td>
    </tr>

  </table>
</form>
<?php
		echo "<a href=\"list_post_news3.php\">Back to list Post</a>";
?>
</center>

</td></tr></table>
<BR>
<?php
}
else{
      echo  "<CENTER>คุณไม่ผ่านการ Login /คุณคือไม่ได้รับสิทธิ์ในการใช้งาน?...</CENTER>";
      echo  "<CENTER><a href=\"index.php\">กลับสู่หน้า Login  อีกครั้ง</a></CENTER>";
}
?>

</center>
<?php 
include("button.php");
?>